<?php namespace Escapework\Manager\Banners\Providers;

use Illuminate\Support\ServiceProvider;

class ManagerBannersServiceProvider extends ServiceProvider
{

	/**
	 * Indicates if loading of the provider is deferred.
	 *
	 * @var bool
	 */
	protected $defer = false;

	/**
	 * Bootstrap the application events.
	 *
	 * @return void
	 */
	public function boot()
	{
        require_once(__DIR__ . '/../../../../routes.php');
	}

	/**
	 * Register the service provider.
	 *
	 * @return void
	 */
	public function register()
	{
        $this->package('escapework/manager-banners', 'manager-banners', realpath(__DIR__ . '/../../../../'));

        # binds
        $this->app->bind('EscapeWork\Manager\Banners\Repositories\BannerRepository', 'EscapeWork\Manager\Banners\Models\Banner');
	}

	/**
	 * Get the services provided by the provider.
	 *
	 * @return array
	 */
	public function provides()
	{
		return array();
	}

}