<?php namespace EscapeWork\Manager\Banners\Seeds;

use Seeder;
use DateTime;
use EscapeWork\Manager\Model\Page;
use EscapeWork\Manager\Model\PageAction;

class BannerTableSeeder extends Seeder
{

    public function run()
    {
        # criando a página
        if (! Page::where('slug', '=', 'banners')->first()) {
            $page = Page::create(array(
                'title'           => 'Banners',
                'slug'            => 'banners',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            # criando as actions
            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Listar registros',
                'type'            => 'read',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Inserir registros',
                'type'            => 'create',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Editar registros',
                'type'            => 'update',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Excluir registros',
                'type'            => 'destroy',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));
        }
    }
}