@extends('manager::layouts.master')

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span></li>
        <li><a href="{{ route('manager.banners.index') }}">Banners</a> <span class="divider">/</span></li>
        <li class="active">{{ $edit ? 'Editar' : 'Inserir' }}</li>
    </ul><!-- .breadcrumb --> 

    <div class="page-header">
        <div class="pull-left">
            <h2>Banners</h2>
        </div><!-- .pull-left --> 

        <div class="pull-right">
            <a href="{{ route('manager.banners.index') }}" class="btn"><i class="icon-arrow-left"></i> Voltar</a>
        </div><!-- .pull-right --> 

        <div class="clearfix"></div>
    </div><!-- .page-header --> 

    {{ Msg::getAll() }}

    <form action="{{ !$edit ? route('manager.banners.store') : route('manager.banners.update', $banner->id) }}" method="post" id="form-banner" class="form-horizontal" enctype="multipart/form-data">
        @if ($edit)
            <input type="hidden" name="_method" value="put" />
        @endif

        <fieldset>
            <div class="control-group">
                <label for="title" class="control-label">Título</label>

                <div class="controls">
                    <input type="text" name="title" id="title" class="input-xxlarge" value="{{ $banner->title }}" maxlength="255" autofocus />
                </div><!-- .controls --> 
            </div><!-- .control-group --> 

            <div class="control-group">
                <label for="link" class="control-label">Link</label>

                <div class="controls">
                    <div class="input-prepend">
                        <span class="add-on">http://</span>
                        <input type="text" name="link" id="link" class="input-xxlarge" value="{{ str_replace('http://', '', $banner->link) }}" maxlength="255" />
                    </div>
                </div><!-- .controls --> 
            </div><!-- .control-group --> 

            <div class="control-group">
                <label for="banner" class="control-label">Banner</label>

                <div class="controls">
                    <input type="file" name="banner" id="banner" class="input-xxlarge {{ !$edit ? 'required' : null }}" accept="{{ implode(',', $banner->acceptedImages) }}" />

                    <span class="help-block">Apenas imagens <strong>jpg</strong> e <strong>png</strong>.</span>
                </div><!-- .controls --> 
            </div><!-- .control-group --> 

            @if (! is_null($banner->banner))
                <div class="control-group">
                    <label class="control-label">Imagem Atual</label>

                    <div class="controls">
                        <img src="{{ $banner->getUrl() }}/thumb-{{ $banner->banner }}" alt="" style="width: 150px" />
                    </div><!-- .controls --> 
                </div><!-- .control-group --> 
            @endif
        </fieldset>

        <div class="form-actions">
            <input type="submit" class="btn btn-primary" value="Salvar" data-loading-text="Salvando..." /> 
            <a href="{{ route('manager.banners.index') }}" class="btn">Cancelar</a>
        </div><!-- .form-actions --> 
    </form>
@stop

@section('scripts')
    @parent
    <script type="text/javascript" src="/packages/escapework/manager-banners/assets/js/banners/form.js"></script>
@stop