@extends('manager::layouts.master')

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span></li>
        <li class="active">Banners</li>
    </ul><!-- .breadcrumb --> 

    <div class="page-header">
        <div class="pull-left">
            <h2>Banners</h2>
        </div><!-- .pull-left --> 

        <div class="pull-right">
            @if (Check::can('banners', 'create'))
                <a href="{{ route('manager.banners.create') }}" class="btn btn-primary">Inserir novo banner</a>
            @endif
        </div><!-- .pull-right --> 

        <div class="clearfix"></div>
    </div><!-- .page-header --> 

    {{ Msg::getAll() }}
    
    @if (Check::can('banners', 'read'))
        <table class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th></th>
                    <th></th>
                    <th>Banner</th>
                    <th>Ativo</th>
                    <th>Ações</th>
                </tr>
            </thead>
            <tbody class="sortable">
                @foreach ($banners as $banner)
                    <tr data-id="{{ $banner->id }}">
                        <td style="text-align: center; vertical-align: middle; cursor: move"><i class="icon-move"></i></td>
                        <td><img src="{{ $banner->getUrl() }}/thumb-{{ $banner->banner }}" alt="{{ $banner->title }}" style="height: 30px" /></td>
                        <td>{{ $banner->title }}</td>
                        <td><input type="checkbox" value="1" data-id="{{ $banner->id }}" class="js-update-active" {{ $banner->active ? 'checked="checked"' : null }} /></td>
                        <td>
                            <div class="btn-group">
                                @if (Check::can('banners', 'update'))
                                    <a href="{{ route('manager.banners.edit', $banner->id) }}" class="btn btn-small" title="Editar">
                                        <i class="icon-pencil"></i> editar
                                    </a>
                                @endif
                                
                                @if (Check::can('banners', 'destroy'))
                                    <a href="{{ route('manager.banners.destroy', $banner->id) }}" class="btn btn-small" data-delete title="Excluir">
                                        <i class="icon-trash"></i> excluir
                                    </a>
                                @endif
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    @endif
@stop

@section('scripts')
    @parent

    <script src="/packages/escapework/manager-banners/assets/js/banners/index.js"></script>
@stop